Name: perl
Version: 5.24.1
Release: 2
License: Artistic-1.0-Perl
Summary: The Perl Programming Language
Url: https://www.perl.org/

Source0: http://www.cpan.org/src/5.0/perl-%{version}.tar.gz

Patch0: perl-pase.patch
Patch1: perl-libdir.patch
Patch2: perl-Cwd.patch

%description
Perl 5 is a highly capable, feature-rich programming language with over 29 years
of development. Perl 5 runs on over 100 platforms from portables to mainframes
and is suitable for both rapid prototyping and large scale development projects.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1


%build

sh Configure \
  -de \
  -DPASE \
  -Dcc=gcc \
  -Dprefix=%{_prefix} \
  -Dman1dir=%{_mandir}/man1 \
  -Dman3dir=%{_mandir}/man3 \
  -Dusethreads \
  -Duseshrplib \
  -Duselongdouble=n \
  -Doptimize='%{optflags}' \
  -Dlibc=/QOpenSys/usr/lib/libc.a \
  -Dlibpth='%{_libdir} /QOpenSys/usr/lib' \
  -Dldflags='-Wl,-blibpath:$(shrpdir):%{_libdir}:/QOpenSys/usr/lib' \
  -Dcldflags='-Wl,-blibpath:$(shrpdir):%{_libdir}:/QOpenSys/usr/lib' \
  -Dshrdpldflags='-Wl,-blibpath:$(shrpdir):%{_libdir}:/QOpenSys/usr/lib' \
%if 0
  # This seems to cause an unexpected path through the convoluted Configure
  # script as for some reason Configure throws away the hint-provided
  # lddlflags and resets it to what we pass here (plus -Wl,-b64), even though
  # *at some point* it had both these values and the hints-provided values.
  # I don't have time to continue tracking this and it's not that big of an
  # issue, so I'm leaving this comment for the future.
  -Dlddlflags='-Wl,blibpath:%{_libdir}:/QOpenSys/usr/lib' \
%endif
  # end

# A race condition causes libperl.a to fail to build because DynaLoader.o is
# not built yet, so force it to 1 build job.
%global _smp_ncpus_max 1
%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/c2ph
%{_bindir}/corelist
%{_bindir}/cpan
%{_bindir}/enc2xs
%{_bindir}/encguess
%{_bindir}/h2ph
%{_bindir}/h2xs
%{_bindir}/instmodsh
%{_bindir}/json_pp
%{_bindir}/libnetcfg
%{_bindir}/perl
%{_bindir}/perl5.24.1
%{_bindir}/perlbug
%{_bindir}/perldoc
%{_bindir}/perlivp
%{_bindir}/perlthanks
%{_bindir}/piconv
%{_bindir}/pl2pm
%{_bindir}/pod2html
%{_bindir}/pod2man
%{_bindir}/pod2text
%{_bindir}/pod2usage
%{_bindir}/podchecker
%{_bindir}/podselect
%{_bindir}/prove
%{_bindir}/pstruct
%{_bindir}/ptar
%{_bindir}/ptardiff
%{_bindir}/ptargrep
%{_bindir}/shasum
%{_bindir}/splain
%{_bindir}/xsubpp
%{_bindir}/zipdetails

%{_libdir}/perl5/%{version}

%{_libdir}/perl5/site_perl/%{version}

%{_mandir}/*/*

%changelog
* Mon Feb 01 2021 Naveen Ram  <naveen.ram@ibm.com> - 5.24.1
- Fix perl cwd function in chroot by adding proper paths to pwd

* Wed Nov 06 2019 Kevin Adler <kadler@us.ibm.com> - 5.24.1
- Use SPDX license identifier
- Fix build by passing *ldflags to Configure instead of using regex after
- Use default optimization flags
- Package man pages

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Work around Perl LDFLAGS getting lost

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds for OBJECT_MODE

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix perl build

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
